cURL
curl --request POST \ --url https://api.ttapi.io/openai/4o-image/generations \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "prompt": "<string>", "hookUrl": "<string>" } '
{ "status": "SUCCESS", "message": "success", "data": { "job_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" } }
根据文本提示以及图片资源生成图片
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
生成图片文字提示,因为目前为逆向模型,建议文案提示存在关键字:** “画一张xxx”, “生成一张”,'draw a xxx', ** 具体语言不限制,openai本身就支持多语言模型,中文支持也非常友好。
垫图数组
回调通知地址,任务完成或失败将通过请地址进行通知,通知数据结构 [blocked]与fetch结构一致。如果未设置,则需要请求fetch接口 [blocked]进行查询
请求成功
"SUCCESS"
"success"
{ "job_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"}